> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Remove Entries



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/collections/{id}/entries/bulk-actions
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/bulk-actions:
    post:
      tags:
        - Collections
      summary: Bulk Remove Entries
      operationId: CollectionsController_bulkRemoveEntries_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkRemoveCollectionEntriesDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntriesBulkRemoveResponseDto'
      security:
        - bearer: []
components:
  schemas:
    BulkRemoveCollectionEntriesDto:
      type: object
      properties:
        action:
          type: string
          const: remove
        items:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              version:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
            required:
              - id
              - version
            additionalProperties: false
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - action
        - items
        - collectionVersion
      additionalProperties: false
    CollectionEntriesBulkRemoveResponseDto:
      type: object
      properties:
        removedEntryIds:
          type: array
          items:
            type: string
        collectionVersion:
          type: number
      required:
        - removedEntryIds
        - collectionVersion
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````